// FILE: ParentFrame.java
// AUTHOR: RD Bettens
// DATE: Jan 1998
// 
// PRUPOSE: create a parent frame for Quake 2 Tools

import java.awt.*;

public class ParentFrame extends Frame
{
	Unpack unpack;

	ParentFrame(String label)
	{
		super(label);
		resize(250,250);
		unpack = new Unpack(this);
		add(unpack);
		show();
	}

	public void Begin()
	{
		unpack.GetPakFile();
		unpack.SetOutputDirectory(); // set output directory
		while (!unpack.isFinished()) {}	// keep going until the OK button pressed
		unpack.CleanUp();
	}
}